Package org.stianloader.micromixin.transform.internal.selectors.constant

## Class ClassConstantSelector

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.annotation.ConstantSelector
  - - org.stianloader.micromixin.transform.internal.selectors.constant.ClassConstantSelector

    public class ClassConstantSelector
    extends ConstantSelector

### Constructor Summary

Constructors
`ClassConstantSelector​(java.lang.String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `matchesConstant​(org.objectweb.asm.tree.AbstractInsnNode insn)`

### Methods inherited from class org.stianloader.micromixin.transform.internal.annotation.ConstantSelector

`parse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassConstantSelector

    public ClassConstantSelector​(@NotNull
                                 java.lang.String value)

### Method Detail

#### matchesConstant

    public boolean matchesConstant​(@NotNull
                                   org.objectweb.asm.tree.AbstractInsnNode insn)

Specified by:
  `matchesConstant` in class `ConstantSelector`